summarylogtreecommitdiffstats
path: root/snort.install
diff options
context:
space:
mode:
authorM0Rf302015-06-17 16:31:17 +0200
committerM0Rf302015-06-17 16:31:17 +0200
commit285c55ad7ff85d1018abd0e6050de7dc0a39c158 (patch)
treec66212be470596e4e74e1ed0f9898cab6be39769 /snort.install
downloadaur-285c55ad7ff85d1018abd0e6050de7dc0a39c158.tar.gz
Initial import
Diffstat (limited to 'snort.install')
-rw-r--r--snort.install26
1 files changed, 26 insertions, 0 deletions
diff --git a/snort.install b/snort.install
new file mode 100644
index 000000000000..673f22c6c6b2
--- /dev/null
+++ b/snort.install
@@ -0,0 +1,26 @@
+post_install() {
+ getent group snort >/dev/null || usr/sbin/groupadd -g 29 snort
+ getent passwd snort >/dev/null || usr/sbin/useradd -c 'Snort user' -u 29 -g snort -d /var/log/snort -s /bin/false snort
+ usr/bin/passwd -l snort &>/dev/null
+
+ [ -f var/log/snort/alert ] || : >var/log/snort/alert
+ chown snort.snort var/log/snort/ -R
+
+cat << _EOF
+
+>>> You have to edit the HOME_NET variable in the /etc/snort/snort.conf file to reflect your local network.
+>>> If you do not change it, snort may not work.
+
+_EOF
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ usr/sbin/userdel snort &>/dev/null
+ usr/sbin/groupdel snort &>/dev/null
+}
+
+# vim:set ts=2 sw=2 et: